curl --request GET \
--url https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"seq": 123,
"verdict": {
"stage": "Open",
"outcomes": {},
"declines": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"cite": "<unknown>"
}
],
"open": [
{
"question": "<string>",
"kind": "input",
"role": "<string>",
"choices": "<unknown>",
"because": "<string>",
"reads": [
{
"path": "<string>",
"value": "<unknown>"
}
]
}
],
"referrals": [
{
"name": "<string>",
"state": "Unknown",
"role": "<string>",
"because": "<string>",
"lapsed": true,
"reads": [
{
"path": "<string>",
"value": "<unknown>"
}
]
}
],
"invalid": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"cite": "<unknown>"
}
],
"quotes": [
{
"name": "<string>",
"outcomes": {},
"stands": true,
"bound": true,
"lapsed_by": [
"<string>"
]
}
],
"unrated": [
{
"name": "<string>",
"by": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"businessCode": "<string>",
"violations": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"value": "<unknown>",
"constraint": "<string>",
"cite": "<string>"
}
],
"violationsTruncated": true,
"executionId": "<string>",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"businessCode": "<string>",
"violations": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"value": "<unknown>",
"constraint": "<string>",
"cite": "<string>"
}
],
"violationsTruncated": true,
"executionId": "<string>",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"businessCode": "<string>",
"violations": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"value": "<unknown>",
"constraint": "<string>",
"cite": "<string>"
}
],
"violationsTruncated": true,
"executionId": "<string>",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"businessCode": "<string>",
"violations": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"value": "<unknown>",
"constraint": "<string>",
"cite": "<string>"
}
],
"violationsTruncated": true,
"executionId": "<string>",
"accessUrl": "<string>"
}Get the verdict of a log
What the log’s program says about the answers as of an entry (the head by default), in a quote option’s view if one is named: the stage, the outcomes, what declines, the open questions and who answers each, the referrals and the quotes. A verdict at an entry never changes.
curl --request GET \
--url https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.effectiveai.app/api/v2/rsl/{id}/logs/{log}/verdict")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"seq": 123,
"verdict": {
"stage": "Open",
"outcomes": {},
"declines": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"cite": "<unknown>"
}
],
"open": [
{
"question": "<string>",
"kind": "input",
"role": "<string>",
"choices": "<unknown>",
"because": "<string>",
"reads": [
{
"path": "<string>",
"value": "<unknown>"
}
]
}
],
"referrals": [
{
"name": "<string>",
"state": "Unknown",
"role": "<string>",
"because": "<string>",
"lapsed": true,
"reads": [
{
"path": "<string>",
"value": "<unknown>"
}
]
}
],
"invalid": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"cite": "<unknown>"
}
],
"quotes": [
{
"name": "<string>",
"outcomes": {},
"stands": true,
"bound": true,
"lapsed_by": [
"<string>"
]
}
],
"unrated": [
{
"name": "<string>",
"by": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"businessCode": "<string>",
"violations": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"value": "<unknown>",
"constraint": "<string>",
"cite": "<string>"
}
],
"violationsTruncated": true,
"executionId": "<string>",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"businessCode": "<string>",
"violations": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"value": "<unknown>",
"constraint": "<string>",
"cite": "<string>"
}
],
"violationsTruncated": true,
"executionId": "<string>",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"businessCode": "<string>",
"violations": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"value": "<unknown>",
"constraint": "<string>",
"cite": "<string>"
}
],
"violationsTruncated": true,
"executionId": "<string>",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"businessCode": "<string>",
"violations": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"value": "<unknown>",
"constraint": "<string>",
"cite": "<string>"
}
],
"violationsTruncated": true,
"executionId": "<string>",
"accessUrl": "<string>"
}Authorizations
Effective API key. Send Authorization: Bearer sk-eai-...
Path Parameters
Your organization’s ID for the program, chosen at its first upload: lowercase letters, digits, dots, underscores and hyphens. A rater’s program ID is its rater ID.
1 - 128^[a-z0-9][a-z0-9._-]{0,127}$The log’s id: a UUID the caller chooses when it opens the log, such as the id of the case the log decides. One id has one log.
Query Parameters
The entry (seq) to read as of. Defaults to the head.
x >= 0A quote option, whose answers are read over the shared ones. Omit for the shared answers.
^[A-Za-z_][A-Za-z0-9_]{0,63}$/u